aboutsummaryrefslogtreecommitdiff
path: root/nixos/maintainers
diff options
context:
space:
mode:
authorEelco Dolstra <edolstra@gmail.com>2017-04-04 13:03:05 +0200
committerEelco Dolstra <edolstra@gmail.com>2017-04-04 13:03:05 +0200
commit279565c3d623e16aff3233c7489d22d655adf773 (patch)
treea3f475ee47756abdcf3a22f865ef7069145aa3c9 /nixos/maintainers
parentbb1e6557da293d6a7c9f868cb850afdbe2ba09d6 (diff)
Revert "Revert "EC2: Disable PV support""
This reverts commit 71710fd099ce6c46b54f05c6cf769e73cf11d49f.
Diffstat (limited to 'nixos/maintainers')
-rwxr-xr-xnixos/maintainers/scripts/ec2/create-amis.sh13
1 files changed, 6 insertions, 7 deletions
diff --git a/nixos/maintainers/scripts/ec2/create-amis.sh b/nixos/maintainers/scripts/ec2/create-amis.sh
index ac43d7dc31a2..24ced8da531a 100755
--- a/nixos/maintainers/scripts/ec2/create-amis.sh
+++ b/nixos/maintainers/scripts/ec2/create-amis.sh
@@ -3,21 +3,20 @@
# To start with do: nix-shell -p awscli --run "aws configure"
-
+set -e
set -o pipefail
-#set -x
-
-stateDir=${TMPDIR:-/tmp}/ec2-image
-echo "keeping state in $stateDir"
-mkdir -p $stateDir
version=$(nix-instantiate --eval --strict '<nixpkgs>' -A lib.nixpkgsVersion | sed s/'"'//g)
major=${version:0:5}
echo "NixOS version is $version ($major)"
+stateDir=/var/tmp/ec2-image-$version
+echo "keeping state in $stateDir"
+mkdir -p $stateDir
+
rm -f ec2-amis.nix
-types="hvm pv"
+types="hvm"
stores="ebs s3"
regions="eu-west-1 eu-west-2 eu-central-1 us-east-1 us-east-2 us-west-1 us-west-2 ca-central-1 ap-southeast-1 ap-southeast-2 ap-northeast-1 ap-northeast-2 sa-east-1 ap-south-1"